package com.iamberry.wechat.face.member;

import java.util.List;

import com.iamberry.wechat.core.entity.Page;
import com.iamberry.wechat.core.entity.member.Integral;
import com.iamberry.wechat.core.entity.member.Member;

public interface IntegralService{
	/**
	 * 获取所有用户积分信息
	 * @return
	 */
	List<Integral> getAll();
	/**
	 * 获取所有积分记录数量 
	 * @return
	 */
	Integer getCount(Member member);
	/**
	 * 分页显示用户积分
	 * @param pageSize
	 * @param pageNo
	 * @return
	 */
	List<Integral> getIntegralByPage(Page page);
	/**
	 * 根据用户id查询该用户所有积分记录
	 * @param openId
	 * @return
	 */
	List<Integral> getIntegralListByOpenId(Member member);

	/** 
	 * 添加积分记录
	 * @param integer
	 * @return
	 */
	public Integer insertIntegralLogs(Integral integer);
}
